cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Axel Nennker <ignisvul...@gmail.com>
Subject Re: [GitHub] cordova-lib pull request: CB-3571: support for <splash> element in...
Date Fri, 20 Jun 2014 20:30:04 GMT
I ran jshint manually on the changed files and amended ConfigParser.js
which jshint complained about.
Axel


2014-06-20 22:06 GMT+02:00 Axel Nennker <ignisvulpis@gmail.com>:

> I ran npm test but get a bunch of other errors. No idea what is wrong.
> Axel
>
> > npm run jasmine && npm run jshint
>
>
> > cordova-lib@0.21.4-dev jasmine /host/Cordova/cordova-lib/cordova-lib
> > jasmine-node --color spec-plugman spec-cordova
>
> ...........................................................................................................................................................................................................................................cp:
> copyFileSync: could not write to dest file
> (code=ENOENT):/tmp/plugman-test/android_install
>
>
> ........FFFFF.................................................................................................................................................................................................................................................................................................................................................................................
>
> Failures:
>
>   1) install success should check version if plugin has engine tag
>    Message:
>      Expected spy satisfies to have been called with [ '2.5.0', '>=2.3.0'
> ] but actual calls were [ null, '>=2.3.0' ], [ '0.21.4-dev', '>=0.10.0' ],
> [ '2.5.0', '>=1.0.0' ], [ '2.5.0', '>=3.0.0' ]
>    Stacktrace:
>      Error: Expected spy satisfies to have been called with [ '2.5.0',
> '>=2.3.0' ] but actual calls were [ null, '>=2.3.0' ], [ '0.21.4-dev',
> '>=0.10.0' ], [ '2.5.0', '>=1.0.0' ], [ '2.5.0', '>=3.0.0' ]
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:218:35)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   2) install success should check version and munge it a little if it has
> "rc" in it so it plays nice with semver (introduce a dash in it)
>    Message:
>      Expected spy satisfies to have been called with [ '3.0.0-rc1',
> '>=2.3.0' ] but actual calls were [ null, '>=2.3.0' ], [ '0.21.4-dev',
> '>=0.10.0' ], [ '3.0.0-rc1', '>=1.0.0' ], [ '3.0.0-rc1', '>=3.0.0' ]
>    Stacktrace:
>      Error: Expected spy satisfies to have been called with [ '3.0.0-rc1',
> '>=2.3.0' ] but actual calls were [ null, '>=2.3.0' ], [ '0.21.4-dev',
> '>=0.10.0' ], [ '3.0.0-rc1', '>=1.0.0' ], [ '3.0.0-rc1', '>=3.0.0' ]
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:232:35)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   3) install success should check specific platform version over cordova
> version if specified
>    Message:
>      Expected spy satisfies to have been called with [ '3.1.0', '>=3.1.0'
> ] but actual calls were [ null, '>=3.0.0' ], [ null, '>=3.1.0' ], [ null,
> '>=18' ]
>    Stacktrace:
>      Error: Expected spy satisfies to have been called with [ '3.1.0',
> '>=3.1.0' ] but actual calls were [ null, '>=3.0.0' ], [ null, '>=3.1.0' ],
> [ null, '>=18' ]
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:247:29)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   4) install success should check platform sdk version if specified
>    Message:
>      Expected [ null, '>=3.0.0' ] to equal [ '18.0.0', '>=3.0.0' ].
>    Stacktrace:
>      Error: Expected [ null, '>=3.0.0' ] to equal [ '18.0.0', '>=3.0.0' ].
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:267:43)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   5) install success should check platform sdk version if specified
>    Message:
>      Expected [ null, '>=3.1.0' ] to equal [ '18.0.0', '>=3.1.0' ].
>    Stacktrace:
>      Error: Expected [ null, '>=3.1.0' ] to equal [ '18.0.0', '>=3.1.0' ].
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:268:43)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   6) install success should check platform sdk version if specified
>    Message:
>      Expected [ null, '>=18' ] to equal [ '18.0.0', '>=18' ].
>    Stacktrace:
>      Error: Expected [ null, '>=18' ] to equal [ '18.0.0', '>=18' ].
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:269:43)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
>   7) install success should check engine versions
>    Message:
>      Expected [ null, '>=2.3.0' ] to equal [ '', '>=2.3.0' ].
>    Stacktrace:
>      Error: Expected [ null, '>=2.3.0' ] to equal [ '', '>=2.3.0' ].
>     at null.<anonymous>
> (/host/Cordova/cordova-lib/cordova-lib/spec-plugman/install.spec.js:289:43)
>     at Timer.listOnTimeout [as ontimeout] (timers.js:110:15)
>
> Finished in 11.773 seconds
> 617 tests, 872 assertions, 7 failures, 0 skipped
>
>
> npm ERR! weird error 1
> npm ERR! not ok code 0
> npm ERR! Test failed.  See above for more details.
> npm ERR! not ok code 0
> ignisvulpis@ubuntu:/host/Cordova/cordova-lib/cordova-lib$
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message